<html>

<body>

<h1>Current Zip Code Is {{zipcode}}</h1>
<form method="post" action="/zip_update">

    <p>Please enter your new zipcode</p>
    <input type="text" name="new_zipcode">
    <input type="submit" value="Save!">

</form>

</body>

</html>